@keyframes shine {
  0% {
    transform: translateX(-100%);
  }
  5% {
    transform: translateX(100%);
  }
}
.shine-animation {
  &::after {
    content: "";
    top: 0;
    transform: translateX(100%);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    animation: shine 15s infinite linear;
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 20%,
      rgba(255, 255, 255, 0.3) 50%,
      rgba(255, 255, 255, 0) 80%
    );
  }
}

@keyframes shine-btn {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(500%);
  }
}
.shine-animation-btn {
  position: relative;
  overflow: hidden;
  @media screen and (min-width: 1024px) {
    &:hover {
      &::after {
        content: "";
        top: 0;
        transform: translateX(100%);
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        animation: shine-btn 1.5s infinite linear;
        background: linear-gradient(
          -45deg,
          rgba(255, 255, 255, 0) 20%,
          rgba(255, 255, 255, 0.3) 50%,
          rgba(255, 255, 255, 0) 80%
        );
      }
    }
  }
}

@keyframes pulse-red {
  0% {
    box-shadow: 0 0 0 0 #f1509a;
  }
  100% {
    box-shadow: 0 0 0 0.1em transparent;
  }
}
@keyframes pulse-blue {
  0% {
    box-shadow: 0 0 0 0 #16bdff;
  }
  100% {
    box-shadow: 0 0 0 0.1em transparent;
  }
}

.btn-effect-blue {
  position: relative;
  i {
    border-radius: 8px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    animation: pulse-blue 0.5s infinite;
  }
}
.btn-effect-red {
  position: relative;

  i {
    border-radius: 8px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    animation: pulse-red 0.5s infinite;
  }
}

.skeleton-box {
  display: inline-block;
  position: relative;
  overflow: hidden;
  background-color: #e3e3e3;

  &::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: translateX(-100%);
    background-image: linear-gradient(
      90deg,
      rgba(#fff, 0) 0,
      rgba(#fff, 0.2) 20%,
      rgba(#fff, 0.5) 60%,
      rgba(#fff, 0)
    );
    animation: shimmer 2s infinite;
    content: "";
  }

  @keyframes shimmer {
    100% {
      transform: translateX(100%);
    }
  }
}
.skeleton-box-neon {
  display: inline-block;
  height: 1em;
  position: relative;
  overflow: hidden;
  background-color: var(--grey_dark);

  &::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transform: translateX(-100%);
    background-image: linear-gradient( 90deg, var(--grey_dark), var(--grey), var(--grey_dark) );
    animation: shimmer 2s infinite;
    content: "";
  }

  @keyframes shimmer {
    100% {
      transform: translateX(100%);
    }
  }
}

@keyframes wobble-hor-bottom {
  0%,
  100% {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
  }
  15% {
    -webkit-transform: translateX(-15px) rotate(-6deg);
    transform: translateX(-15px) rotate(-6deg);
  }
  30% {
    -webkit-transform: translateX(10px) rotate(6deg);
    transform: translateX(10px) rotate(6deg);
  }
  45% {
    -webkit-transform: translateX(-15px) rotate(-3.6deg);
    transform: translateX(-15px) rotate(-3.6deg);
  }
  60% {
    -webkit-transform: translateX(9px) rotate(2.4deg);
    transform: translateX(9px) rotate(2.4deg);
  }
  75% {
    -webkit-transform: translateX(-6px) rotate(-1.2deg);
    transform: translateX(-6px) rotate(-1.2deg);
  }
}
.wobble-hor-bottom {
  animation: wobble-hor-bottom 0.8s both;
  transition: all 0.2s linear;
  color: #f1509a;
  font-size: 18px;
}

@keyframes scale-in-center {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    opacity: 1;
  }
}
.scale-in-center {
  -webkit-animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}

.scale-in-center-color {
  -webkit-animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;

  transition: all 0.2s linear;
  color: #16bdff;
  font-size: 18px;
}
.scale-in-center-color-red {
  -webkit-animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: scale-in-center 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;

  transition: all 0.2s linear;
  color: #f1509a;
  font-size: 18px;
}
